Create Agent From Call Script
curl --request POST \
--url https://api.example.com/api/v1/agents/from-script \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent": {
"agent_goal": "",
"call_direction": "outbound",
"greeting": "",
"conversation_structure": [],
"objections": [],
"required_phrases": [],
"data_fields": [],
"custom_data_fields": [],
"avoid_topics": [],
"persona": "",
"formality": "",
"address_form": ""
},
"facts": {},
"faq": [],
"knowledge": "",
"website": "<string>",
"language": "en",
"agent_name": "<string>",
"agent_voice": "<string>",
"generate_with_ai": true,
"enable_booking": false,
"calcom_connection_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/agents/from-script"
payload = {
"agent": {
"agent_goal": "",
"call_direction": "outbound",
"greeting": "",
"conversation_structure": [],
"objections": [],
"required_phrases": [],
"data_fields": [],
"custom_data_fields": [],
"avoid_topics": [],
"persona": "",
"formality": "",
"address_form": ""
},
"facts": {},
"faq": [],
"knowledge": "",
"website": "<string>",
"language": "en",
"agent_name": "<string>",
"agent_voice": "<string>",
"generate_with_ai": True,
"enable_booking": False,
"calcom_connection_id": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: {
agent_goal: '',
call_direction: 'outbound',
greeting: '',
conversation_structure: [],
objections: [],
required_phrases: [],
data_fields: [],
custom_data_fields: [],
avoid_topics: [],
persona: '',
formality: '',
address_form: ''
},
facts: {},
faq: [],
knowledge: '',
website: '<string>',
language: 'en',
agent_name: '<string>',
agent_voice: '<string>',
generate_with_ai: true,
enable_booking: false,
calcom_connection_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/agents/from-script', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/from-script",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent' => [
'agent_goal' => '',
'call_direction' => 'outbound',
'greeting' => '',
'conversation_structure' => [
],
'objections' => [
],
'required_phrases' => [
],
'data_fields' => [
],
'custom_data_fields' => [
],
'avoid_topics' => [
],
'persona' => '',
'formality' => '',
'address_form' => ''
],
'facts' => [
],
'faq' => [
],
'knowledge' => '',
'website' => '<string>',
'language' => 'en',
'agent_name' => '<string>',
'agent_voice' => '<string>',
'generate_with_ai' => true,
'enable_booking' => false,
'calcom_connection_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/from-script"
payload := strings.NewReader("{\n \"agent\": {\n \"agent_goal\": \"\",\n \"call_direction\": \"outbound\",\n \"greeting\": \"\",\n \"conversation_structure\": [],\n \"objections\": [],\n \"required_phrases\": [],\n \"data_fields\": [],\n \"custom_data_fields\": [],\n \"avoid_topics\": [],\n \"persona\": \"\",\n \"formality\": \"\",\n \"address_form\": \"\"\n },\n \"facts\": {},\n \"faq\": [],\n \"knowledge\": \"\",\n \"website\": \"<string>\",\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"agent_voice\": \"<string>\",\n \"generate_with_ai\": true,\n \"enable_booking\": false,\n \"calcom_connection_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/from-script")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"agent\": {\n \"agent_goal\": \"\",\n \"call_direction\": \"outbound\",\n \"greeting\": \"\",\n \"conversation_structure\": [],\n \"objections\": [],\n \"required_phrases\": [],\n \"data_fields\": [],\n \"custom_data_fields\": [],\n \"avoid_topics\": [],\n \"persona\": \"\",\n \"formality\": \"\",\n \"address_form\": \"\"\n },\n \"facts\": {},\n \"faq\": [],\n \"knowledge\": \"\",\n \"website\": \"<string>\",\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"agent_voice\": \"<string>\",\n \"generate_with_ai\": true,\n \"enable_booking\": false,\n \"calcom_connection_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/from-script")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent\": {\n \"agent_goal\": \"\",\n \"call_direction\": \"outbound\",\n \"greeting\": \"\",\n \"conversation_structure\": [],\n \"objections\": [],\n \"required_phrases\": [],\n \"data_fields\": [],\n \"custom_data_fields\": [],\n \"avoid_topics\": [],\n \"persona\": \"\",\n \"formality\": \"\",\n \"address_form\": \"\"\n },\n \"facts\": {},\n \"faq\": [],\n \"knowledge\": \"\",\n \"website\": \"<string>\",\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"agent_voice\": \"<string>\",\n \"generate_with_ai\": true,\n \"enable_booking\": false,\n \"calcom_connection_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"public_id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"template_context_variables": {},
"call_disposition_codes": {},
"total_runs": 123,
"workflow_configurations": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents & Calls
Create Agent From Call Script
Create an agent from the preview POST /agent-templates/analyze-script returned. The script’s greeting becomes the agent’s first message, its steps the conversation plan, and its mandatory phrases and objection replies get their own sections of the prompt.
POST
/
api
/
v1
/
agents
/
from-script
Create Agent From Call Script
curl --request POST \
--url https://api.example.com/api/v1/agents/from-script \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent": {
"agent_goal": "",
"call_direction": "outbound",
"greeting": "",
"conversation_structure": [],
"objections": [],
"required_phrases": [],
"data_fields": [],
"custom_data_fields": [],
"avoid_topics": [],
"persona": "",
"formality": "",
"address_form": ""
},
"facts": {},
"faq": [],
"knowledge": "",
"website": "<string>",
"language": "en",
"agent_name": "<string>",
"agent_voice": "<string>",
"generate_with_ai": true,
"enable_booking": false,
"calcom_connection_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/agents/from-script"
payload = {
"agent": {
"agent_goal": "",
"call_direction": "outbound",
"greeting": "",
"conversation_structure": [],
"objections": [],
"required_phrases": [],
"data_fields": [],
"custom_data_fields": [],
"avoid_topics": [],
"persona": "",
"formality": "",
"address_form": ""
},
"facts": {},
"faq": [],
"knowledge": "",
"website": "<string>",
"language": "en",
"agent_name": "<string>",
"agent_voice": "<string>",
"generate_with_ai": True,
"enable_booking": False,
"calcom_connection_id": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: {
agent_goal: '',
call_direction: 'outbound',
greeting: '',
conversation_structure: [],
objections: [],
required_phrases: [],
data_fields: [],
custom_data_fields: [],
avoid_topics: [],
persona: '',
formality: '',
address_form: ''
},
facts: {},
faq: [],
knowledge: '',
website: '<string>',
language: 'en',
agent_name: '<string>',
agent_voice: '<string>',
generate_with_ai: true,
enable_booking: false,
calcom_connection_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/agents/from-script', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/from-script",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent' => [
'agent_goal' => '',
'call_direction' => 'outbound',
'greeting' => '',
'conversation_structure' => [
],
'objections' => [
],
'required_phrases' => [
],
'data_fields' => [
],
'custom_data_fields' => [
],
'avoid_topics' => [
],
'persona' => '',
'formality' => '',
'address_form' => ''
],
'facts' => [
],
'faq' => [
],
'knowledge' => '',
'website' => '<string>',
'language' => 'en',
'agent_name' => '<string>',
'agent_voice' => '<string>',
'generate_with_ai' => true,
'enable_booking' => false,
'calcom_connection_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/from-script"
payload := strings.NewReader("{\n \"agent\": {\n \"agent_goal\": \"\",\n \"call_direction\": \"outbound\",\n \"greeting\": \"\",\n \"conversation_structure\": [],\n \"objections\": [],\n \"required_phrases\": [],\n \"data_fields\": [],\n \"custom_data_fields\": [],\n \"avoid_topics\": [],\n \"persona\": \"\",\n \"formality\": \"\",\n \"address_form\": \"\"\n },\n \"facts\": {},\n \"faq\": [],\n \"knowledge\": \"\",\n \"website\": \"<string>\",\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"agent_voice\": \"<string>\",\n \"generate_with_ai\": true,\n \"enable_booking\": false,\n \"calcom_connection_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/from-script")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"agent\": {\n \"agent_goal\": \"\",\n \"call_direction\": \"outbound\",\n \"greeting\": \"\",\n \"conversation_structure\": [],\n \"objections\": [],\n \"required_phrases\": [],\n \"data_fields\": [],\n \"custom_data_fields\": [],\n \"avoid_topics\": [],\n \"persona\": \"\",\n \"formality\": \"\",\n \"address_form\": \"\"\n },\n \"facts\": {},\n \"faq\": [],\n \"knowledge\": \"\",\n \"website\": \"<string>\",\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"agent_voice\": \"<string>\",\n \"generate_with_ai\": true,\n \"enable_booking\": false,\n \"calcom_connection_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/from-script")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent\": {\n \"agent_goal\": \"\",\n \"call_direction\": \"outbound\",\n \"greeting\": \"\",\n \"conversation_structure\": [],\n \"objections\": [],\n \"required_phrases\": [],\n \"data_fields\": [],\n \"custom_data_fields\": [],\n \"avoid_topics\": [],\n \"persona\": \"\",\n \"formality\": \"\",\n \"address_form\": \"\"\n },\n \"facts\": {},\n \"faq\": [],\n \"knowledge\": \"\",\n \"website\": \"<string>\",\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"agent_voice\": \"<string>\",\n \"generate_with_ai\": true,\n \"enable_booking\": false,\n \"calcom_connection_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"public_id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"template_context_variables": {},
"call_disposition_codes": {},
"total_runs": 123,
"workflow_configurations": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
